import { Display } from '../Display';
import { RuleSelection, RunResults } from '@salesforce/code-analyzer-core';
declare abstract class AbstractActionSummaryViewer {
    protected readonly display: Display;
    protected constructor(display: Display);
    protected displaySummaryHeader(): void;
    protected displayLineSeparator(): void;
    protected displayLogFileInfo(logFile: string): void;
}
export declare class ConfigActionSummaryViewer extends AbstractActionSummaryViewer {
    constructor(display: Display);
    view(logFile: string, outfile?: string): void;
    private displayOutfile;
}
export declare class RulesActionSummaryViewer extends AbstractActionSummaryViewer {
    constructor(display: Display);
    view(ruleSelection: RuleSelection, logFile: string): void;
    private displayRuleSelection;
}
export declare class RunActionSummaryViewer extends AbstractActionSummaryViewer {
    constructor(display: Display);
    view(results: RunResults, logFile: string, outfiles: string[]): void;
    private displayResultsSummary;
    private countUniqueFiles;
    private displayOutfiles;
}
export {};
